> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post locationsvenuesunpublish

> Un-Publishes those venue locations which match the venue view criteria argument
from the Forum indicated by Forum SYSID.

This operation requires a **VenuePublisherRequest**

The requesting User must have the following rights to perform this task:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /locations/venues/unpublish
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/venues/unpublish:
    post:
      tags:
        - LocationService
      description: >-
        Un-Publishes those venue locations which match the venue view criteria
        argument

        from the Forum indicated by Forum SYSID.


        This operation requires a **VenuePublisherRequest**


        The requesting User must have the following rights to perform this task:
      operationId: unpublishVenues
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidForum: 12345
                  criteria:
                    latitude: 12345
                    sysidVenues:
                      - 12345
                      - 12345
                    sortList:
                      - sortAscending: true
                        sortColumn: NAME
                      - sortAscending: true
                        sortColumn: COUNTRY
                    active: true
                    viewport:
                      southwest: {}
                      northeast: {}
                    sysidLocatorNode: 12345
                    stateProvince: ...
                    address: ...
                    country: ...
                    longitude: 12345
                    distance: 12345
                    venueName: ...
                    sysidVenueTypes:
                      - 12345
                      - 12345
                    city: ...
                    addressSearch: ...
                    distanceUnit: miles
                    sysidAccount: 12345
                    startRow: 12345
                    maxRows: 12345
            schema:
              $ref: '#/components/schemas/VenuePublisherRequest'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: string
          description: Respone 200 OK on success
components:
  schemas:
    VenuePublisherRequest:
      type: object
      title: VenuePublisherRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidForum:
              type: integer
              format: int32
            criteria:
              $ref: '#/components/schemas/VenueViewCriteria'
      example:
        sysidForum: 12345
        criteria:
          latitude: 12345
          sysidVenues:
            - 12345
            - 12345
          sortList:
            - sortAscending: true
              sortColumn: LOCATION_TYPE
            - sortAscending: true
              sortColumn: CITY
          active: true
          viewport:
            southwest: {}
            northeast: {}
          sysidLocatorNode: 12345
          stateProvince: ...
          address: ...
          country: ...
          longitude: 12345
          distance: 12345
          venueName: ...
          sysidVenueTypes:
            - 12345
            - 12345
          city: ...
          addressSearch: ...
          distanceUnit: miles
          sysidAccount: 12345
          startRow: 12345
          maxRows: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    VenueViewCriteria:
      type: object
      title: VenueViewCriteria
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            latitude:
              type: number
            sysidVenues:
              type: array
              items:
                type: integer
            sortList:
              type: array
              items:
                $ref: '#/components/schemas/VenueSort'
            active:
              type: boolean
            viewport:
              $ref: '#/components/schemas/Viewport'
            sysidLocatorNode:
              type: integer
              format: int32
            stateProvince:
              type: string
            address:
              type: string
            country:
              type: string
            longitude:
              type: number
            distance:
              type: integer
              format: int32
            venueName:
              type: string
            sysidVenueTypes:
              type: array
              items:
                type: integer
            city:
              type: string
            addressSearch:
              type: string
            distanceUnit:
              $ref: '#/components/schemas/GeoDistanceUnitType'
            sysidAccount:
              type: integer
              format: int32
      example:
        latitude: 12345
        sysidVenues:
          - 12345
          - 12345
        sortList:
          - sortAscending: true
            sortColumn: ADDRESS
          - sortAscending: true
            sortColumn: CITY
        active: true
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        sysidLocatorNode: 12345
        stateProvince: ...
        address: ...
        country: ...
        longitude: 12345
        distance: 12345
        venueName: ...
        sysidVenueTypes:
          - 12345
          - 12345
        city: ...
        addressSearch: ...
        distanceUnit: kilometers
        sysidAccount: 12345
        startRow: 12345
        maxRows: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    VenueSort:
      type: object
      title: VenueSort
      required:
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sortAscending:
              type: boolean
            sortColumn:
              $ref: '#/components/schemas/VenueViewSortColumns'
      example:
        sortAscending: true
        sortColumn: COUNTRY
    Viewport:
      type: object
      title: Viewport
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            southwest:
              $ref: '#/components/schemas/Southwest'
            northeast:
              $ref: '#/components/schemas/Northeast'
      example:
        southwest:
          lat: 12345
          lng: 12345
        northeast:
          lat: 12345
          lng: 12345
    GeoDistanceUnitType:
      type: string
      title: GeoDistanceUnitType
      enum:
        - miles
        - kilometers
    VenueViewSortColumns:
      type: string
      title: VenueViewSortColumns
      enum:
        - NAME
        - ADDRESS
        - CITY
        - STATE
        - COUNTRY
        - LOCATION_TYPE
        - STATUS
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345

````